Package org.apache.tools.ant.taskdefs.optional.depend

# Interface ClassFileIterator

All Superinterfaces:
  `java.lang.Iterable<ClassFile>`

All Known Implementing Classes:
  `DirectoryIterator`, `JarFileIterator`

    public interface ClassFileIterator
    extends java.lang.Iterable<ClassFile>

Iterator interface for iterating over a set of class files

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClassFile` | `getNextClassFile()` | Get the next class file in the iteration
`default java.util.Iterator<ClassFile>` | `iterator()` |

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getNextClassFile

ClassFile getNextClassFile()
Get the next class file in the iteration

Returns:
  the next class file in the iteration

### iterator

default java.util.Iterator<ClassFile> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<ClassFile>`